#!/bin/sh

g++ pokaz.cpp -o pokaz.bin

if [ $? != "0" ]; then
echo $?
   echo "Failure:"
   echo "Compilation error."
   exit
fi

./pokaz.bin > pokaz.output

diff -a pokaz.cpp pokaz.output

if [ $? = 0 ]; then
   echo "Success:"
   echo "Source file pokaz.cpp is exactly the same as the output from pokaz.bin";
else
   echo "Failure:"
   echo "Source file pokaz.cpp and output from pokaz.bin differs."
fi

